Subject: open questions before the TE community

From: senthil ayyasamy <[email-masked]>
Date: Thu, 3 Jan 2002 08:38:51 -0800 (PST)

Hi rick& all  , 
I was contemplating about rick's mail for past some  days...HIs  mail also talk about alll traffic theory stuff which is basically done for traffic modelling..I have came across a wonderfull IEEE communication paper " traffic theory and Internet " which discusses the statistical characteristics of Internet traffic at different time scales.The author also indicate the limitations of service differentiation as a means for guaranteeing QoS and highlight the importance of traditional traffic engineering approaches in ensuring that the network has sufficient capacity to handle offered demand through derived results (http://www.comsoc.org/ci/public/preview/roberts.html) .

    The author  at one place mentions that "Most providers systematically practice overbooking, 'allocating' available bandwidth several times over. Although this clearly violates the notion of service protection, perceived quality of service is satisfactory in most cases. It is tempting to deduce from this that reservation is not really necessary as long as admission control is employed to protect the QoS of existing traffic" .So,like I also have a question like if traditional traffic models itself provides a way for all TE capabilitie ..why is the need for TE mecahnisms proposed by IETF ITEWG like  service differentiation and QoS stuff all ..

    After going through most of the drafts in ITEWG..i got the idea that "This WG provides some mechanisms and frame work for TE and have not concentrated much on actual TE mechanisms..please clarify in this regard ...what is the actual objective of ITEWG other than giving inputs to other Wg's like MPLS and CCAMP...Is the WG coordinate the activities of all other sub-IP wg working in this area..

    This is my third question..when there are mechainsms for doing TE in IP networks itself ??? why cant they just be used..I have seen some literature in this side..really interesting works .(.http://www.research.att.com/~jrex/papers/ieeenet00.ps ) and also one other paper on the same subject (http://smg.ulb.ac.be/Preprints/Fortz99_29.html)....... These papers has convinced me that TE can be done in IP networks rather putting our time and energy in all multiservice networks(I am working in this area)o..so I like inputs from reserchers on what is the real advantage of MPLS for TE which IP networks cant provide ...

In a nutshell, we can view three choices for  TE 

1. Traditional traffic modelling taken from the well tested telephone networks by all possion modelling ,FBM , erlang calculation and all those stuff

2. Using IP network TE as proposed by Dr.Jennifer and et all in "NETSOPE " and also by optimizing OSPF weights 

3.Use the option of Multiservice networks like MPLS to TE by service diff and other QoS optimization principles....

Also one more question regarding this issue...when U have BW why should we do TE ???? Is there is any place where we need TE mecahnisms even when their is infinite BW 

     I would like the forum to answer all my questions to enlighten me on all this aspects as it will give input to my ongoing researh work..

Thanks in advance,

senthil.

  [email-masked] wrote: Hello all,

I need some help with traffic engineering.

I like to make things simple. If I were to describe traffic engineering as a 
two phase process,( 1. putting traffic where you want it, 2. Doing the math ) 
would that describe the two basic functions of TE?

1) Putting traffic where you want it could be RSVP-TE or CR-LDP.

2) Doing the math, 

a) Starting out with a bit/ link budget like a check book balance and 
removing all the cost of the OSI layers. Calculate the average overhead for 
each layer and subtract from the bit budget. Calculate the cost of the 
different types of data.

b) For voice calculations use the Erlang tables to estimate the needed 
channels.

I would like any feedback or help you can give me on this subject

Thank you
Rick Gallaher

-------
The MPLS-OPS Mailing List
Subscribe/Unsubscribe: http://www.mplsrc.com/mplsops.shtml
Archive: http://www.mplsrc.com/mpls-ops_archive.shtml

SENTHIL KUMAR
MS(COMPUTER NETWORKING)
UMKC,
MO-64112,USA

---------------------------------
Do You Yahoo!?
Send your FREE holiday greetings online at Yahoo! Greetings.